<?php
/**
* Capture <remark> contents and the
* starting line number. A file name must be
* passed to this script, and that file
* must be in the current directory.
* The output file is <filename>.xml.remarks.
* There is no output file if there are no
* remarks.
**/

$d = new DOMDocument();
$source = $argv[1]; 
$dest = $argv[1] . ".remarks";
$contents = "";

$d->load($source);
$xp = new DOMXPath($d);
$xp->registerNamespace('xmlns', 'http://docbook.org/ns/docbook');
$nodelist = $xp->query("//xmlns:remark"); 
//check that there is something in the list
if ($nodelist->item(0)){
  $contents .= $source . "\n";
  $contents .= "-----------------------\n";
  foreach ($nodelist as $single){
    //check for data
    if ($single->nodeValue != ""){
      $contents .= $single->getLineNo() . " - "; 
      $contents .= $single->nodeValue . "\n\n";
    }
  }
  //save the contents
  file_put_contents($dest, $contents);
}
?>
